<?php

//////////////////////////////////////////////////////////////
//===========================================================
// dnsrecords_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function dnsrecords_theme(){

global $theme, $globals, $kernel, $user, $l, $cluster, $error, $servers, $done, $pdnsid, $dns_records;

softheader($l['<title>']);

echo '
<div class="bg">
<div class="row mx-auto my-2">
<div class="col-10">
<h4 class="text-dark"><i class="fas fa-passport"></i> '.$l['dnsrecords'].'</h4>
</div>
<div class="col-2 text-right">
<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
</div>
</div>';

error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function Deldnsrec(id ,ele){

	id = id || 0;
	
	// List of ids to delete
	var dnsrec_list = new Array();
	
	if(id < 1){
		
		if($(ele).parent().prev().find("select").val() != 1){
			showalert("'.$l['no_action'].'" ,"1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			dnsrec_list.push($(this).val());
		});
		
	}else{
		
		dnsrec_list.push(id);
		
	}
	
	if(dnsrec_list.length < 1){
		showalert("'.$l['nothing_selected'].'" ,"1");
		return false;
	}
	
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
			finalData["del"] = dnsrec_list.join(",");
			
			//alert(finalData);
			//return false;
			
			$("#progress_bar").show();
			
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=dnsrecords&pdnsid='.$pdnsid.'&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						showalert("'.$l['action_completed'].'");
					}
					if("error" in data){
						showalert(data["error"] ,"1");
					}
					$("#alert-modal").on("hidden.bs.modal", function (e) {
					location.reload(true);
					});
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});
	return false;
};

// ]]></script>

<div id="showsearch" style="display:'.(optREQ('search') || (!empty($dns_records) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="dnsrecords" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="dnsrecords">
<input type="hidden" name="pdnsid" value="'.$pdnsid.'">
<div class="form-group_head">
<div class="row mx-auto w-100">
	<div class="col-sm-2"></div>
	<div class="col-sm-4"><label>'.$l['domain_id'].'</label>
	<input type="text" class="form-control" name="domain_id" id="domain_id" size="30" value="'.REQval('domain_id', '').'" /></div>
	<div class="col-sm-4"><label>'.$l['dns_name'].'</label>
	<input type="text" class="form-control" name="dns_name" id="dns_name" size="30" value="'.REQval('dns_name', '').'" /></div>
</div>
<div class="row mx-auto w-100">
	<div class="col-sm-2"></div>
	<div class="col-sm-4"><label>'.$l['dns_domain'].'</label>
	<input type="text" class="form-control" name="dns_domain" id="dns_domain" size="30" value="'.REQval('dns_domain', '').'" /></div>
	<div class="col-sm-4"><label>'.$l['record_type'].'</label>
	<select name="record_type" class="custom-select" id="record_type" value="'.POSTselect('record_type', '').'">
		<option value="0">---</option>
		<option name="soa_record" id="soa_record" value="SOA" '.REQselect('record_type', 'SOA').'>SOA</option>
		<option name="ptr_record" id="ptr_record" value="PTR" '.REQselect('record_type', 'PTR').'>PTR</option>
		<option name="a_record" id="a_record" value="A" '.REQselect('record_type', 'A').'>A (host)</option>
		<option name="cname_record" id="cname_record" value="CNAME" '.REQselect('record_type', 'CNAME').'>CNAME (Aliases)</option>
		<option name="mx_record" id="mx_record" value="MX" '.REQselect('record_type', 'MX').'>MX (Mail Exchange)</option>
		<option name="txt_record" id="txt_record" value="TXT" '.REQselect('record_type', 'TXT').'>TXT (Text)</option>
		<option name="ns_record" id="ns_record" value="NS" '.REQselect('record_type', 'NS').'>NS (Name Servers)</option>
		<option name="aaaa_record" id="aaaa_record" value="AAAA" '.REQselect('record_type', 'AAAA').'>AAAA (IPV6 Hosts)</option>
	</select>
     </div>
</div>
<div class="row mx-auto w-100 my-2">
   <div class="col-sm-12 text-center">
		<input type="submit" name="search" value="'.$l['submit'].'" class="go_btn mt-2"/>
   </div>
</div>
</div>
</form>
</div>';

if(!empty($done)){
	show_alert($l['done']);
}

if(empty($dns_records)){
	$act = $_SERVER['REQUEST_URI']; 
	
	if(optREQ('search')){
		show_alert($l['no_res'] ,"2");	
	}
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_rdns']).'</div>';
	
}
else{
echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select name="dnsrec_task_select" id="dnsrec_task_select" class="custom-select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="domains_submit" class="go_btn" name="domains_submit" value="'.$l['go'].'" onclick="Deldnsrec(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<form accept-charset="'.$globals['charset'].'" name="multi_dnsrec" id="multi_dnsrec" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
	<table align="center" cellpadding="10" cellspacing="1" border="0" width="95%" class="table table-hover tablesorter">
		<tr>
			<th align="center" class="min_width">'.$l['id'].'</th>
			<th align="center">'.$l['name'].'</th>
			<th align="center">'.$l['domain'].'</th>
			<th align="center">'.$l['type'].'</th>
			<th align="center">'.$l['ttl'].'</th>
			<th align="center">'.$l['priority'].'</th>
			<th align="center" colspan="2" width="10" class="min_width">'.$l['manage'].'</th>
			<th class="z-index-1 min_width">
				'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
			</th>	
		<tr>';
	$i = 1;

	foreach($dns_records as $k => $v){
		
		echo '<tr>
			<td align="left">'.$v['id'].'</td>
			<td>'.$v['name'].'</td>
			<td>'.$v['content'].'</td>
			<td align="center">'.$v['type'].'</td>
			<td align="center">'.$v['ttl'].'</td>
			<td align="center">'.(empty($v['priority']) ? '0' : $v['priority']).'</td>
			<td align="center"><a href="'.$globals['index'].'act=add_dnsrecord&pdnsid='.$pdnsid.'&edit='.$v['id'].'" title="'.$l['edit_pdns'].'">
			<i class="fas fa-edit text-warning"></i>
			</a>
			</td>
			<td align="center">'.(strtolower($v['type']) == 'soa' ? '' : '<a class="delete" href="javascript:void(0);" onclick="return Deldnsrec('.$k.');" title="'.$l['del_rdns'].'"><i class="fas fa-trash text-danger"></i></a>').'</td>
			<td width="20" valign="middle" align="center">
				'.(strtolower($v['type']) == 'soa' ? '' : get_checkbox('dnsrec_list[]', '', '', array('chk_it' => 0), $k)).'
			</td>
		</tr>';
		$i++;
	}
echo '</table>
</div>
</form>
<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select name="dnsrec_task_select" id="dnsrec_task_select" class="custom-select" >
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="domains_submit" class="go_btn" name="domains_submit" value="'.$l['go'].'" onclick="Deldnsrec(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>

<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>

<br />
<center><a href="'.$globals['ind'].'act=add_dnsrecord&pdnsid='.$pdnsid.'" class="link_btn">'.$l['add_dnsrecord'].'</a></center><br><br>';
}

echo '</div>';
softfooter();

}

?>